## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition.impl
Class PartitionFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition.impl.PartitionFactoryImpl

All Implemented Interfaces:
  PartitionFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class PartitionFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements PartitionFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition.PartitionFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`PartitionFactoryImpl()` Creates an instance of the factory.

Method Summary
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`ListRangePartitionItem` `createListRangePartitionItem()`
`PartitionNumInSegments` `createPartitionNumInSegments()`
`PartitionSegmentPair` `createPartitionSegmentPair()`
`SybaseASEHashPartition` `createSybaseASEHashPartition()`
`SybaseASEListPartition` `createSybaseASEListPartition()`
`SybaseASEPartition` `createSybaseASEPartition()`
`SybaseASERangePartition` `createSybaseASERangePartition()`
`SybaseASERoundrobinPartition` `createSybaseASERoundrobinPartition()`
`static PartitionPackage` `getPackage()` Deprecated.
`PartitionPackage` `getPartitionPackage()`
`static PartitionFactory` `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### PartitionFactoryImpl

    public PartitionFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static PartitionFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createSybaseASEPartition

    public SybaseASEPartition createSybaseASEPartition()

  Specified by:
    `createSybaseASEPartition` in interface `PartitionFactory`
  Returns:
    a new object of class 'Sybase ASE Partition'.

### createSybaseASERangePartition

    public SybaseASERangePartition createSybaseASERangePartition()

  Specified by:
    `createSybaseASERangePartition` in interface `PartitionFactory`
  Returns:
    a new object of class 'Sybase ASE Range Partition'.

### createSybaseASEHashPartition

    public SybaseASEHashPartition createSybaseASEHashPartition()

  Specified by:
    `createSybaseASEHashPartition` in interface `PartitionFactory`
  Returns:
    a new object of class 'Sybase ASE Hash Partition'.

### createSybaseASEListPartition

    public SybaseASEListPartition createSybaseASEListPartition()

  Specified by:
    `createSybaseASEListPartition` in interface `PartitionFactory`
  Returns:
    a new object of class 'Sybase ASE List Partition'.

### createSybaseASERoundrobinPartition

    public SybaseASERoundrobinPartition createSybaseASERoundrobinPartition()

  Specified by:
    `createSybaseASERoundrobinPartition` in interface `PartitionFactory`
  Returns:
    a new object of class 'Sybase ASE Roundrobin Partition'.

### createPartitionSegmentPair

    public PartitionSegmentPair createPartitionSegmentPair()

  Specified by:
    `createPartitionSegmentPair` in interface `PartitionFactory`
  Returns:
    a new object of class 'Segment Pair'.

### createPartitionNumInSegments

    public PartitionNumInSegments createPartitionNumInSegments()

  Specified by:
    `createPartitionNumInSegments` in interface `PartitionFactory`
  Returns:
    a new object of class 'Num In Segments'.

### createListRangePartitionItem

    public ListRangePartitionItem createListRangePartitionItem()

  Specified by:
    `createListRangePartitionItem` in interface `PartitionFactory`
  Returns:
    a new object of class 'List Range Partition Item'.

### getPartitionPackage

    public PartitionPackage getPartitionPackage()

  Specified by:
    `getPartitionPackage` in interface `PartitionFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static PartitionPackage getPackage()

  Deprecated.